#include "CurveStandIn.h"

#include <maya/MTypeId.h>
#include <maya/MFnNumericAttribute.h>
#include <maya/MFnTypedAttribute.h>

MTypeId CurveStandIn::id(0x88015);
MObject CurveStandIn::aFileName;
MObject CurveStandIn::aOutputCurve;

CurveStandIn::CurveStandIn()
{
}

CurveStandIn::~CurveStandIn()
{
}

MStatus CurveStandIn::compute(const MPlug& plug, MDataBlock& dataBlock)
{
	return MS::kSuccess;
}

void* CurveStandIn::creator()
{
	return new CurveStandIn();
}

MStatus CurveStandIn::initialize()
{
	MStatus status;
	MFnTypedAttribute tAttr;
	aFileName = tAttr.create("fileName", "fn", MFnData::kString, &status);
	tAttr.setUsedAsFilename(true);
	addAttribute(aFileName);
	
	aOutputCurve = tAttr.create("outputCurve", "oc", MFnData::kNurbsCurve, &status);
	addAttribute(aOutputCurve);
	return status;
}
